Get a workflow by key
GET
/v1/workflows/{key}
const url = 'https://your-notavia-host/v1/workflows/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://your-notavia-host/v1/workflows/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” key
required
string
Workflow key — lowercase alphanumeric + underscore, max 100 chars.
Responses
Section titled “ Responses ”Workflow detail returned.
Media type application/json
object
id
required
string format: uuid
key
required
string
name
required
string
description
string
status
required
string
active_version
integer
active_body_json
Raw JSON body of the currently active version, or null if none.
string
created_at
required
string format: date-time
Example
{ "status": "draft"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}